QGIS Server 3 / WMS: the SLD parameter support has been removed
Status: Closed

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27620

Description

With the suppression of the class QgsHttpTransaction, the support of SLD parameter has been removed.

Here is the code:

  // SLD

  QString value = parameters.value( QStringLiteral( "SLD" ) );

  if ( !value.isEmpty() )

  {

    QgsMessageLog::logMessage( QStringLiteral( "http and ftp methods not supported with Qt5." ) );

  }

History

#1 - 2018-09-08 11:23 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-09-11 11:41 AM - Tudor Bărăscu

Also, the stroke width functions don't function for  points and linestrings (only for polygon) although the request goes ok to the server.

You can also replicate under Desktop by:

- export a point sld file with a specific stroke-width (30 pixels for example)

- looking at the sld file the stroke width gets exported

<se:SvgParameter name="stroke-width">30</se:SvgParameter>

- importing the sld file ignores the stroke-width to the default (PROBLEM)

#3 - 2018-09-11 11:44 AM - René-Luc ReLuc

- Pull Request or Patch supplied changed from No to Yes

PR supplied: https://github.com/qgis/QGIS/pull/7859
#4 - 2018-09-11 11:45 AM - René-Luc ReLuc

Hi Tudor Bărăscu,

Is there an open issue for your comment ?

Is there some tests in QGIS about SLD support ?

#5 - 2018-09-16 05:59 PM - Alessandro Pasotti

- Status changed from Open to In Progress

#6 - 2018-09-18 10:37 AM - Tudor Bărăscu

Hi René,

Somehow I didn't notice your reply.

Couldn't find any tests or any open issue regarding this.

The server tests are relatively easy to write.. but I cannot add the exact output image as the stroke-width is ignored and I don't know how to capture the

exact image (I haven't tried) from Desktop.

I'll try and see if I can output with QGIS Server 2 and create a pull request.

All the best,

Tudor

#7 - 2018-09-20 12:10 PM - Tudor Bărăscu

Pull request with SLD import fix + test at https://github.com/qgis/QGIS/pull/7961

The server now outputs correctly for Point and Polygon but for line SLD's it outputs nothing.

I'll try and replicate in a test with the help of the 2.18 server.

#8 - 2019-01-25 09:03 AM - Alessandro Pasotti

What's the situation with current master?

#9 - 2019-01-25 02:06 PM - Giovanni Manghi

- Status changed from In Progress to Feedback

#10 - 2019-03-09 05:07 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Tudor Bărăscu wrote:

Pull request with SLD import fix + test at https://github.com/qgis/QGIS/pull/7961

this is merged and therefore I assume is fixed, please reopen if necessary.
